import request from '@/utils/request'

// 查询住建处罚-其他处罚列表
export function listPenalties(query) {
    return request({
        url: '/crmConstructionOtherPenalties/findByPage',
        method: 'get',
        params: query
    })
}

// 查询住建处罚-其他处罚详细
export function getPenalties(id) {
    return request({
        url: '/crmConstructionOtherPenalties/' + id,
        method: 'get'
    })
}

// 新增住建处罚-其他处罚
export function addPenalties(data) {
    return request({
        url: '/crmConstructionOtherPenalties',
        method: 'post',
        data: data
    })
}

// 修改住建处罚-其他处罚
export function updatePenalties(data) {
    return request({
        url: '/crmConstructionOtherPenalties',
        method: 'put',
        data: data
    })
}

// 删除住建处罚-其他处罚
export function delPenalties(id) {
    return request({
        url: '/crmConstructionOtherPenalties/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltiesBatch(ids) {
    console.log(ids);
    return request.post('/crmConstructionOtherPenalties/delete',ids)
}